/*!
  * @yzcode/vue-devtool-vuex-z v0.0.4
  * (c) 2021 
  * @license MIT
  */
var YzcodeVueDevtoolVuexZ = (function (exports) {
    'use strict';

    function getDevtoolsGlobalHook() {
        return getTarget().__VUE_DEVTOOLS_GLOBAL_HOOK__;
    }
    function getTarget() {
        // @ts-ignore
        return typeof navigator !== 'undefined'
            ? window
            : typeof global !== 'undefined'
                ? global
                : {};
    }

    const HOOK_SETUP = 'devtools-plugin:setup';

    function setupDevtoolsPlugin(pluginDescriptor, setupFn) {
        const hook = getDevtoolsGlobalHook();
        if (hook) {
            hook.emit(HOOK_SETUP, pluginDescriptor, setupFn);
        }
        else {
            const target = getTarget();
            const list = target.__VUE_DEVTOOLS_PLUGINS__ = target.__VUE_DEVTOOLS_PLUGINS__ || [];
            list.push({
                pluginDescriptor,
                setupFn
            });
        }
    }

    const stateType = 'store';
    function setupDevtools(app, { store }) {
        setupDevtoolsPlugin({
            id: '@yzcode/vue-devtool-vuex-z',
            label: 'vue-devtool-vuex',
            packageName: '@yzcode/vue-devtool-vuex-z',
            homepage: 'my home',
            app,
            componentStateTypes: [stateType],
        }, (api) => {
            // api.on.visitComponentTree((payload, context) => {
            //   const node = payload.treeNode
            //   if (payload.componentInstance.type.showTag) {
            //     node.tags.push({
            //       label: 'showTag',
            //       textColor: 0x000000,
            //       backgroundColor: 0xff984f
            //     })
            //   }
            //  })
            const data = {
                message: '一欧洗洗脑',
                counter: 1,
            };
            api.on.inspectComponent((payload, context) => {
                payload.instanceData.state.push({
                    type: stateType,
                    key: 'state',
                    value: data.message,
                });
                payload.instanceData.state.push({
                    type: stateType,
                    key: 'gettters',
                    value: data.counter,
                });
            });
        });
    }
    var index = {
        install(app, options) {
            // Our Vue plugin logic
            {
                setupDevtools(app, options);
            }
        },
    };

    exports['default'] = index;
    exports.setupDevtools = setupDevtools;

    Object.defineProperty(exports, '__esModule', { value: true });

    return exports;

}({}));
