import { setupDevtoolsPlugin } from '@vue/devtools-api';
import { App } from 'vue';
import { Store } from 'vuex';

const stateType = 'store';

declare global {
  const __VUE_PROD_DEVTOOLS__: boolean;
}

interface PluginOptions {
  store: Store<any>;
}
export function setupDevtools(app: App, { store }: PluginOptions) {
  setupDevtoolsPlugin(
    {
      id: '@yzcode/vue-devtool-vuex-z',
      label: 'vue-devtool-vuex',
      packageName: '@yzcode/vue-devtool-vuex-z',
      homepage: 'my home',
      app,
      componentStateTypes: [stateType],
    },
    (api) => {
      // api.on.visitComponentTree((payload, context) => {
      //   const node = payload.treeNode
      //   if (payload.componentInstance.type.showTag) {
      //     node.tags.push({
      //       label: 'showTag',
      //       textColor: 0x000000,
      //       backgroundColor: 0xff984f
      //     })
      //   }
      //  })

      const data = {
        message: '一欧洗洗脑',
        counter: 1,
      };

      api.on.inspectComponent((payload, context) => {
        payload.instanceData.state.push({
          type: stateType,
          key: 'state',
          value: data.message,
        });

        payload.instanceData.state.push({
          type: stateType,
          key: 'gettters',
          value: data.counter,
        });
      });
    }
  );
}

export default {
  install(app: App, options: PluginOptions) {
    // Our Vue plugin logic
    if (process.env.NODE_ENV === 'development' || __VUE_PROD_DEVTOOLS__) {
      setupDevtools(app, options);
    }
  },
};
